org.apache.tamaya.etcd

## Class EtcdPropertySource

- java.lang.Object
- - org.apache.tamaya.spisupport.BasePropertySource
  - - org.apache.tamaya.mutableconfig.propertysources.AbstractMutablePropertySource
    - - org.apache.tamaya.etcd.EtcdPropertySource

- All Implemented Interfaces:
    org.apache.tamaya.mutableconfig.spi.MutablePropertySource, org.apache.tamaya.spi.PropertySource

      public class EtcdPropertySource
      extends org.apache.tamaya.mutableconfig.propertysources.AbstractMutablePropertySource

  Propertysource that is reading configuration from a configured etcd endpoint. Setting `etcd.prefix` as system property maps the etcd based onfiguration to this prefix namespace. Etcd servers are configured as `etcd.server.urls` system or environment property. ETcd can be disabled by setting `tamaya.etcdprops.disable` either as env or system property.

- - ### Field Summary

    - ### Fields inherited from class org.apache.tamaya.mutableconfig.propertysources.AbstractMutablePropertySource

      `transactions`

    - ### Fields inherited from interface org.apache.tamaya.spi.PropertySource

      `EMPTY, TAMAYA_ORDINAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EtcdPropertySource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `commitInternal(org.apache.tamaya.mutableconfig.propertysources.ConfigChangeContext context)`
    `org.apache.tamaya.spi.PropertyValue` | `get(String key)`
    `int` | `getDefaultOrdinal()` Returns the default ordinal used, when no ordinal is set, or the ordinal was not parseable to an int value.
    `String` | `getName()`
    `int` | `getOrdinal()`
    `Map<String,String>` | `getProperties()`
    `boolean` | `isScannable()`

    - ### Methods inherited from class org.apache.tamaya.mutableconfig.propertysources.AbstractMutablePropertySource

      `commitTransaction, getAddedProperties, getRemovedProperties, isRemovable, isWritable, put, putAll, remove, remove, rollbackTransaction, startTransaction`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EtcdPropertySource

          public EtcdPropertySource()

  - ### Method Detail

    - #### getOrdinal

          public int getOrdinal()

      Specified by:
        `getOrdinal` in interface `org.apache.tamaya.spi.PropertySource`
      Overrides:
        `getOrdinal` in class `org.apache.tamaya.spisupport.BasePropertySource`

    - #### getDefaultOrdinal

          public int getDefaultOrdinal()

      Returns the default ordinal used, when no ordinal is set, or the ordinal was not parseable to an int value.
      Overrides:
        `getDefaultOrdinal` in class `org.apache.tamaya.spisupport.BasePropertySource`
      Returns:
        the default ordinal used, by default 0.

    - #### getName

          public String getName()

    - #### get

          public org.apache.tamaya.spi.PropertyValue get(String key)

      Specified by:
        `get` in interface `org.apache.tamaya.spi.PropertySource`
      Overrides:
        `get` in class `org.apache.tamaya.spisupport.BasePropertySource`

    - #### getProperties

          public Map<String,String> getProperties()

    - #### isScannable

          public boolean isScannable()

      Specified by:
        `isScannable` in interface `org.apache.tamaya.spi.PropertySource`
      Overrides:
        `isScannable` in class `org.apache.tamaya.spisupport.BasePropertySource`

    - #### commitInternal

          protected void commitInternal(org.apache.tamaya.mutableconfig.propertysources.ConfigChangeContext context)

      Specified by:
        `commitInternal` in class `org.apache.tamaya.mutableconfig.propertysources.AbstractMutablePropertySource`

Copyright © 2014–2016 Apache Software Foundation. All rights reserved.